<?php
require_once('_lang.php');
require_once('_config.php');
require_once('_funcs.php');

start_session();

$str_info = '';

$ll_ulogin = '';
if (isset($_SESSION['ll']['ll_edit_ulogin'])) $ll_ulogin = $_SESSION['ll']['ll_edit_ulogin'];
$ll_uemail = '';
if (isset($_SESSION['ll']['ll_edit_uemail'])) $ll_uemail = $_SESSION['ll']['ll_edit_uemail'];
$ll_upassword = '';
if (isset($_SESSION['ll']['ll_edit_upassword'])) $ll_upassword = $_SESSION['ll']['ll_edit_upassword'];
$li_utopicselect = 0;
$ll_ulink = '';
$ll_ureturnlink = '';
$ll_utitle = '';
$ll_uinformation = '';
$ll_ubanner = '';
$ll_uaddpage = '';

if (isset($_POST['btn_add']) and isset($_SERVER['HTTP_REFERER']) and stristr($_SERVER['HTTP_REFERER'], $_SERVER['HTTP_HOST']) !== false) {
	if (isset($_POST['ll_ulogin'])) $ll_ulogin = check_str(strtolower(strip_tags($_POST['ll_ulogin'])));
	if (isset($_POST['ll_upassword'])) $ll_upassword = check_str(strtolower(strip_tags($_POST['ll_upassword'])));
	if (isset($_POST['ll_uemail'])) $ll_uemail = check_str(strtolower(strip_tags($_POST['ll_uemail'])));
	if (isset($_POST['li_topic_select'])) $li_utopicselect = intval($_POST['li_topic_select']);
	if (isset($_POST['ll_ulink'])) $ll_ulink = check_str(strtolower(strip_tags($_POST['ll_ulink'])));
	if ($ll_ulink) {
		if ($h = @parse_url($ll_ulink)) {
			$ll_ulink = 'http://'.$h['host'];
		} else {
			$ll_ureturnlink = '';
		}
	}
	if (isset($_POST['ll_ureturnlink'])) $ll_ureturnlink = check_str(strtolower(strip_tags($_POST['ll_ureturnlink'])));
	if ($ll_ureturnlink) {
		if ($h = @parse_url($ll_ureturnlink)) {
			$ll_ureturnlink = 'http://'.$h['host'];
			if (isset($h['path']) and $h['path']) $ll_ureturnlink .= $h['path'];
			if (isset($h['query']) and $h['query']) $ll_ureturnlink .= '?'.$h['query'];
		} else {
			$ll_ureturnlink = '';
		}
	}
	if (isset($_POST['ll_utitle'])) $ll_utitle = check_str(strip_tags($_POST['ll_utitle']));
	if (isset($_POST['ll_uinformation'])) $ll_uinformation = check_str(strip_tags($_POST['ll_uinformation'], '<b>, <strong>, <i>, <br>'));
	$ll_uinformation = ll_textarea_to_str($ll_uinformation);
	if (isset($_POST['ll_ubanner'])) $ll_ubanner = check_str(strip_tags($_POST['ll_ubanner'], '<a>, <img>, <b>, <strong>, <i>'));
	$ll_ubanner = ll_textarea_to_str($ll_ubanner);
	if (isset($_POST['ll_uaddpage'])) $ll_uaddpage = check_str(strtolower(strip_tags($_POST['ll_uaddpage'])));
	if ($ll_uaddpage) {
		if ($h = @parse_url($ll_uaddpage)) {
			$ll_uaddpage = 'http://'.$h['host'];
			if (isset($h['path']) and $h['path']) $ll_uaddpage .= $h['path'];
			if (isset($h['query']) and $h['query']) $ll_uaddpage .= '?'.$h['query'];
		} else {
			$ll_ureturnlink = '';
		}
	}
	if ($ll_ulogin == '' or $ll_upassword == '' or $ll_uemail == '' or $li_utopicselect < 1 or $ll_ulink == '' or $ll_utitle == '' or $ll_uinformation == '') {
		$str_info = $lr[27];
	} elseif (!ll_check_email($ll_uemail)) {
		$str_info = $lr[36];
	} elseif (!ll_check_link($ll_ulink)) {
		$str_info = $lr[67];
	} elseif (is_link_exists($ll_ulink)) {
		$str_info = $lr[29];
	} elseif (strlen($ll_ulink) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_ulogin) > 50) {
		$str_info = $lr[68];
	} elseif (strlen($ll_upassword) > 50) {
		$str_info = $lr[68];
	} elseif (strlen($ll_uemail) > 50) {
		$str_info = $lr[68];
	} elseif ($ll_ureturnlink and !ll_check_link($ll_ureturnlink)) {
		$str_info = $lr[67];
	} elseif (strlen($ll_ureturnlink) > 100) {
		$str_info = $lr[89];
	} elseif ($ll_uaddpage and !ll_check_link($ll_uaddpage)) {
		$str_info = $lr[67];
	} elseif (strlen($ll_uaddpage) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_utitle) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_uinformation) > 500) {
		$str_info = $lr[69];
	} elseif (strlen($ll_ubanner) > 500) {
		$str_info = $lr[70];
	} else {
		if (isset($_SESSION['ll']['ll_edit_uid'])) {
			$uid = $_SESSION['ll']['ll_edit_uid'];
		} else {
			$uid = is_user_exists($ll_ulogin, $ll_upassword);
		}
		if (!$uid) {
			$uid = is_login_exists($ll_ulogin);
			if ($uid) $str_info = $lr[28];
		} elseif (!ll_check_password($ll_upassword)) {
			$str_info = $lr[66];
		}
		if ($str_info == '') {
			if (!$uid) {
				/* */
				$sql = "insert into ll_users (login, email, password, added, ip) values ('".ll_add_slashes($ll_ulogin)."', '".ll_add_slashes($ll_uemail)."', '".ll_add_slashes($ll_upassword)."', '".ll_add_slashes(date('Y-m-d H:i:s'))."', '".ll_add_slashes($_SERVER['REMOTE_ADDR'])."')";
				ll_mysql_query($sql);
				$uid = mysql_insert_id();
			} elseif (isset($_SESSION['ll']['ll_edit_uid']) and ($_SESSION['ll']['ll_edit_ulogin'] != $ll_ulogin or $_SESSION['ll']['ll_edit_upassword'] != $ll_upassword or $_SESSION['ll']['ll_edit_uemail'] != $ll_uemail)) {
				$sql = "update ll_users set login='".ll_add_slashes($ll_ulogin)."', email='".ll_add_slashes($ll_uemail)."', password='".ll_add_slashes($ll_upassword)."' where id=$uid";
				ll_mysql_query($sql);
				$_SESSION['ll']['ll_edit_ulogin'] = $ll_ulogin;
				$_SESSION['ll']['ll_edit_upassword'] = $ll_upassword;
				$_SESSION['ll']['ll_edit_uemail'] = $ll_uemail;
			}
			$uid = intval($uid);
			if ($uid) {
				/* */
				$sql = "insert into ll_links (topic_id, user_id, title, link, return_link, information, banner, added, link_check, status, add_page) values ($li_utopicselect, $uid, '".ll_add_slashes($ll_utitle)."', '".ll_add_slashes($ll_ulink)."', '".ll_add_slashes($ll_ureturnlink)."', '".ll_add_slashes($ll_uinformation)."', '".ll_add_slashes($ll_ubanner)."', '".ll_add_slashes(date('Y-m-d H:i:s'))."', 0, 'new', '".ll_add_slashes($ll_uaddpage)."')";
				ll_mysql_query($sql);
				if (file_exists('_mail_new.txt')) {
					$s = file_get_contents('_mail_new.txt');
					if ($s) {
						$myurl = 'http://'.str_replace('//', '/', $_SERVER['HTTP_HOST'].$self_path);
						$mess = sprintf($s, $ll_ulogin, $ll_ulink, $myurl, $ll_ulink, get_topic_title($li_utopicselect), $ll_utitle, $ll_uinformation, htmlspecialchars($ll_ubanner), $ll_ureturnlink, $ll_uaddpage, date('Y-m-d H:i:s'), $myurl, $myurl.'_edit.php', $ll_ulogin, $ll_upassword);
						ll_mailing($ll_uemail, get_myemal(), sprintf($lr[81], $myurl), $mess);
					}
				}
				header('Location: '.$self_path);
				exit;
			}
		}
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
<title><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[4]); ?></title>
<meta name="robots" content="none" />
<meta name="robots" content="noindex, nofollow" />
<link rel="stylesheet" type="text/css" href="css/llstyle.css" />
</head>

<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td colspan="2" style="border: none;"><a href="<?php echo $self_path; ?>"><?php echo $lr[12]; ?></a></td>
	</tr>
	<tr>
		<td align="center" style="border: none; padding-top: 10px; padding-bottom: 10px;"><h2><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]); ?></h2></td>
	</tr>
	<tr>
		<td align="center" style="border: none; padding-top: 10px; padding-bottom: 20px;"><?php echo '<h2>'.$lr[20].'</h2>'; if ($str_info) echo '<div style="text-align: center; font-weight: bold; color:#FF0099;">'.$str_info.'</div>'; ?></td>
	</tr>
	<tr>
		<td align="center"><form action="" method="post" enctype="multipart/form-data" name="form_link_add" target="_self" id="form_link_add">
			<table width="0%" border="0" cellspacing="8" cellpadding="0">
				<tr>
					<td align="right" valign="middle"><?php echo $lr[16]; ?>*</td>
					<td align="left" valign="middle"><input name="ll_ulogin" type="text" id="ll_ulogin" style="width: 200px;" value="<?php echo $ll_ulogin; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[17]; ?>*</td>
					<td align="left" valign="middle"><input name="ll_upassword" type="password" id="ll_upassword" style="width: 200px;" value="<?php echo $ll_upassword; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[35]; ?>*</td>
					<td align="left" valign="middle"><input name="ll_uemail" type="text" id="ll_uemail" style="width: 400px;" value="<?php echo $ll_uemail; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[30]; ?>*</td>
					<td align="left" valign="middle"><?php echo build_topics_for_select($li_utopicselect); ?></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[21]; ?>*</td>
					<td align="left" valign="middle"><input name="ll_ulink" type="text" id="ll_ulink" style="width: 400px;" value="<?php echo $ll_ulink; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[22]; ?>*</td>
					<td align="left" valign="middle"><input name="ll_utitle" type="text" id="ll_utitle" style="width: 400px;" value="<?php echo $ll_utitle; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[23]; ?>*<br />(<?php echo strtolower($lr[47]); ?>)</td>
					<td align="left" valign="middle"><textarea name="ll_uinformation" rows="5" id="ll_uinformation" style="width: 400px;"><?php echo ll_str_to_textarea($ll_uinformation); ?></textarea></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[24]; ?>&nbsp;<br />(<?php echo strtolower($lr[47]); ?>)</td>
					<td align="left" valign="middle"><textarea name="ll_ubanner" rows="5" id="ll_ubanner" style="width: 400px;"><?php echo ll_str_to_textarea($ll_ubanner); ?></textarea></td>
				</tr>
				<tr>
					<td align="right" valign="middle">&nbsp;</td>
					<td align="left" valign="middle" class="text_medium" style="padding-bottom: 10px; font-style: italic; color: #999999;"><?php echo strtolower($lr[26]); ?></td>
				</tr>
				<tr>
					<td align="left" valign="middle">&nbsp;</td>
					<td align="left" valign="middle" class="text_medium" style="padding-bottom: 10px; color:#FF0000;"><div style="width: 400px;"><?php echo $lr[42]; ?></div></td>
					</tr>
				<tr>
					<td align="right" valign="middle">&nbsp;</td>
					<td align="left" valign="middle"><div style="width: 400px;"><?php echo sprintf($lr[51], '_mydata.php', $_SERVER['HTTP_HOST']); ?></div></td>
				</tr>
				<tr>
					<td align="right" valign="middle"><?php echo $lr[14]; ?>&nbsp;</td>
					<td align="left" valign="middle"><input name="ll_ureturnlink" type="text" id="ll_ureturnlink" style="width: 400px;" value="<?php echo $ll_ureturnlink; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle" style="padding-bottom: 20px;"><?php echo $lr[49]; ?>&nbsp;</td>
					<td align="left" valign="middle" style="padding-bottom: 20px;"><input name="ll_uaddpage" type="text" id="ll_uaddpage" style="width: 400px;" value="<?php echo $ll_uaddpage; ?>" /></td>
				</tr>
				<tr>
					<td align="right" valign="middle">&nbsp;</td>
					<td align="left" valign="middle"><input name="btn_add" type="submit" id="btn_add" value="<?php echo $lr[7]; ?>" />
						<input name="btn_clear" type="reset" id="btn_clear" value="<?php echo $lr[25]; ?>" style="margin-left: 40px;" /></td>
				</tr>
			</table>
				</form>
		</td>
	</tr>
	<tr>
		<td align="center" style="border: none; padding-top: 20px; padding-bottom: 20px;"><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]).'<br /><br /><span style="color: #CCCCCC; font-size: 80%;">copyright &copy; 2008&#8211;'.date('Y').' elo</span>'; ?></td>
	</tr>
</table>
</body>
</html>
